import time
import base64
import zlib
from aztrom.irc.clientv1 import IRCClient

client = IRCClient("irc.root-me.org", 6667)
time.sleep(2)
print(client.recv())

client.auth("aztrom")
time.sleep(2)
print(client.recv())

client.join("#root-me_challenge")
time.sleep(1)
print(client.recv())

client.send("candy", "!ep4")
time.sleep(1)
resp = client.recv()
print(resp)
for line in resp.split("\n"):
	if line.startswith(":Candy!Candy@root-me.org PRIVMSG aztrom :"):
		b64data = line.split("aztrom :")[1]
		zdata = base64.b64decode(b64data)
		data = zlib.decompress(zdata)
		decoded = data.decode("UTF-8")
		print("Decoded = " + decoded)
		client.send("candy", "!ep4 -rep " + decoded)
		time.sleep(1)
		print(client.recv())
		break
